#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "AnimationLayerDatabaseDataList.generated.h"

class UAnimationLayerData;

UCLASS(Blueprintable, DefaultToInstanced, EditInlineNew)
class UAnimationLayerDatabaseDataList : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export)
	TArray<UAnimationLayerData*> Assets;

public:
	UAnimationLayerDatabaseDataList();
};

FORCEINLINE uint32 GetTypeHash(const UAnimationLayerDatabaseDataList) { return 0; }
